Share via


Skillsets - Reset Skills

Reset an existing skillset in a search service.

POST https:///skillsets('{skillsetName}')/search.resetskills?api-version=2025-11-01-preview

URI Parameters

Name In Required Type Description
skillsetName
path True

string

The name of the skillset.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
Accept True

Accept

The Accept header.

x-ms-client-request-id

string (uuid)

An opaque, globally-unique, client-generated string identifier for the request.

Request Body

Name Type Description
skillNames

string[]

the names of skills to be reset.

Responses

Name Type Description
204 No Content

There is no content to send for this request, but the headers may be useful.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

api-key

Type: apiKey
In: header

OAuth2Auth

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

Scopes

Name Description
https://search.azure.com/.default

Examples

SearchServiceResetSkills

Sample request

POST https:///skillsets('myskillset')/search.resetskills?api-version=2025-11-01-preview


{
  "skillNames": [
    "skill2",
    "skill3",
    "skill4"
  ]
}

Sample response

Definitions

Name Description
Accept

The Accept header.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

SkillNames

The type of the skill names.

Accept

The Accept header.

Value Description
application/json;odata.metadata=minimal

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error

ErrorDetail

The error object.

SkillNames

The type of the skill names.

Name Type Description
skillNames

string[]

the names of skills to be reset.